gcpSetIntensity(3)

NAME
gcpSetIntensity, gcpGetIntensity : Manipulate Lighting

SYNOPSIS
#include <ggi/gcp.h>
gcp_pixel gcpSetIntensity(ggi_visual_t vis,
              const gcp_pixel *pix1, const gcp_pixel *light_color);
gcp_pixel gcpGetIntensity(ggi_visual_t vis,
              const gcp_pixel *pix1, const gcp_pixel *pix2);

DESCRIPTION
gcpSetIntensity sets the intensity for a gcp_pixel(3). gcpGetIntensity extracts the intensity of a gcp_pixel(3).

RETURN VALUE
gcpSetIntensity returns a gcp_pixel(3) with the new light itensity. gcpGetIntensity returns a gcp_pixel(3), that corresponds the light_color argument of gcpSetIntensity. The pix1 is the same 'basecolor' passed to gcpSetIntensity and pix2 corresponds the return value of gcpSetIntensity.